## flash-kernel 3.35

=== debian/changelog ===
flash-kernel (3.35) unstable; urgency=medium

  * Team upload.

  [ Karsten Merker ]
  * Pass the u-boot console variable to the kernel in bootscr.cubox-i
    and bootscr.wandboard. (Closes: #782016)
  * Add a machine db entry for the Wandboard Dual Lite / Solo,
    supplied by Vagrant Cascadian.

 -- Karsten Merker <merker@debian.org>  Tue, 07 Apr 2015 00:19:59 +0200

flash-kernel (3.34) unstable; urgency=medium

  * Update u-boot-tools to Recommends. In practice it is needed on most systems
    but having it installed only by flash-kernel-installer means it is missed
    in manual configurations. (Closes: #780994)

 -- Ian Campbell <ijc@debian.org>  Thu, 26 Mar 2015 21:37:16 +0000

flash-kernel (3.33) unstable; urgency=medium

  [ Karsten Merker ]
  * Add a machine db entry for the LeMaker Banana Pro.

 -- Ian Campbell <ijc@debian.org>  Thu, 05 Mar 2015 06:56:34 +0000

flash-kernel (3.32) unstable; urgency=medium

  [ Karsten Merker ]
  * Add a machine db entry for the Olimex A20-OLinuXino-LIME2.

 -- Christian Perrier <bubulle@debian.org>  Mon, 09 Feb 2015 07:00:27 +0100

flash-kernel (3.30) unstable; urgency=medium

  [ Ian Campbell ]
  * Support for TI OMAP5 uEVM board (Patch from Chen Baozi, Closes: #773255)
  * Support for alternative machine name for BeagleBone Black. The old name was
    ambiguous with the original BeagleBone (often called "White"), detect if
    booting on a BeagleBone white and print an error since the DTB will be
    wrong. We don't currently support the White. (Closes: #773890)
  * Ensure mtdblock driver is loaded before accessing /dev/mtdblock*.
    (Closes: #773991)

  [ Karsten Merker ]
  * Add a machine db entry for the LinkSprite pcDuino3

 -- Ian Campbell <ijc@debian.org>  Tue, 30 Dec 2014 15:31:42 +0000

flash-kernel (3.29) unstable; urgency=medium

  * Correct Content-Transfer-Encoding in zn_CH.po.
  * No other changes vs 3.28, this supersedes the brown paper bag upload of
    3.29~exp.1 to unstable.

 -- Ian Campbell <ijc@debian.org>  Sat, 13 Dec 2014 11:19:47 +0000

flash-kernel (3.28) unstable; urgency=medium

  [ Ian Campbell ]
  * Support for Olimex A20-OLinuXino-LIME. Patch from Christian Kastner.
    (Closes: #764968)

 -- Christian Perrier <bubulle@debian.org>  Mon, 13 Oct 2014 11:08:45 +0200

flash-kernel (3.27) unstable; urgency=medium

  [ Ian Campbell ]
  * Install initrd with correct name (uInitrd) on Xgene so that the filename
    boot.scr are consistent.

 -- Christian Perrier <bubulle@debian.org>  Sat, 11 Oct 2014 07:41:43 +0200

flash-kernel (3.26) unstable; urgency=medium

  [ Ian Campbell ]
  * Install a symlink to the latest dtb in /boot/dtb and keep a backup of the
    actual file.
  * Add a generic u-boot boot.scr using the upstream config_distro_bootcmd.h
    infrastructure.
  * Add support for the Arndale board.
  * Install uImage and uRamdisk to /boot on Xgene platform and load dtb from
    the correct path.

  [ Karsten Merker ]
  * Add support for the LeMaker Banana Pi.
  * bootscr.sunxi: If the u-boot environment variable ${console} is set,
    pass its contents as console device to the kernel.

 -- Ian Campbell <ijc@debian.org>  Mon, 06 Oct 2014 11:50:59 +0100
