## flash-kernel 3.35+deb8u3

=== debian/changelog ===
flash-kernel (3.35+deb8u3) stable; urgency=medium

  [ Karsten Merker ]
  * Disable the use of modprobe and udevadm in the mtdblock() function
    while running the testsuite.

  [ Ian Campbell ]
  * Use /dev/mtdN when flashing, rather than needlessly going through the
    mtdblock layer (which is problematic on some platforms/kernels).
    (Closes: #794265)

  [ Uwe Kleine-König ]
  * use nandwrite when writing to nand flash. (Closes: #813995)

 -- Uwe Kleine-König <ukleinek@debian.org>  Thu, 10 Mar 2016 20:30:19 +0100

flash-kernel (3.35+deb8u2) stable; urgency=medium

  [ Ian Campbell ]
  * Avoid waiting for Ctrl-C if any debconf frontend is in use, not just
    non-interactive. (Closes: #791794)

 -- Cyril Brulebois <kibi@debian.org>  Sat, 05 Dec 2015 19:16:33 +0100

flash-kernel (3.35+deb8u1) stable; urgency=medium

  * Combine i.MX53 QSB and LOCO board entries, they are the same thing and the
    LOCO variant was missing DTB information. (Closes: #788782)

 -- Ian Campbell <ijc@debian.org>  Wed, 17 Jun 2015 08:22:22 +0100
