=== debian/rules ===
#! /usr/bin/make -f

AUTOGEN_DEB_FILES := flash-kernel.templates flash-kernel-installer.postinst default/flash-kernel

ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
DEFAULT_CMDLINE := quiet splash
else
DEFAULT_CMDLINE := quiet
endif

override_dh_auto_install:
	for i in $(AUTOGEN_DEB_FILES); do \
		sed "s/@DEFAULT_CMDLINE@/$(DEFAULT_CMDLINE)/" \
			< debian/$$i.in > debian/$$i; \
	done
	dh_auto_install

override_dh_auto_clean:
	for i in $(AUTOGEN_DEB_FILES); do \
		rm -f debian/$$i; \
	done
	dh_auto_clean

override_dh_auto_test:
	FK_CHECKOUT=. ./test_db
	FK_CHECKOUT=. ./test_flash-kernel
	FK_CHECKOUT=. ./test_functions

%:
	dh $@
