## flash-kernel 3.79

=== debian/changelog ===
flash-kernel (3.79) unstable; urgency=medium

  [ Roger Shimizu ]
  * Update db entry of Buffalo Linkstation LiveV3 (LS-CHL),
    because DTS is supported since debian kernel 4.9.10-1.

 -- Christian Perrier <bubulle@debian.org>  Wed, 19 Apr 2017 06:52:13 +0200

flash-kernel (3.78) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Update Orange Pi Plus db entry to also support "Xunlong Orange Pi Plus
    / Plus 2" which is used in recent kernel versions.

 -- Christian Perrier <bubulle@debian.org>  Thu, 13 Apr 2017 08:36:37 +0200

flash-kernel (3.77) unstable; urgency=medium

  [ Martin Michlmayr ]
  * Add machine db entry for NETGEAR ReadyNAS Duo v2.  Thanks to Scott
    Barker (Closes: #855960)
  * Add machine db entry for Hardkernel ODROID-C2.  Thanks Heinrich
    Schuchardt (Closes: #845818).

 -- Christian Perrier <bubulle@debian.org>  Wed, 22 Mar 2017 06:52:54 +0100

flash-kernel (3.76) unstable; urgency=medium

  [ Marc Kleine-Budde ]
  * Add machine db entry for TI OMAP4 PandaBoard-ES (Closes: #857205).

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 Mar 2017 05:48:21 +0100

flash-kernel (3.75) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Add machine db entry for Pine64+.

 -- Christian Perrier <bubulle@debian.org>  Wed, 18 Jan 2017 07:00:43 +0100

flash-kernel (3.74) unstable; urgency=medium

  [ Martin Michlmayr ]
  * Add machine db entry for Marvell ESPRESSOBin.
  * Only create DTB boot file on kernels that require DTB (Closes:
    #789886)
  * Improve error message when DTB is missing by showing the search
    path for DTB (Closes: #836679)

  [ Heinrich Schuchardt ]
  * Call mkimage with correct architecture (Closes: #845779)

 -- Christian Perrier <bubulle@debian.org>  Wed, 11 Jan 2017 05:48:07 +0100

flash-kernel (3.73) unstable; urgency=medium

  [ Martin Michlmayr ]
  * Restore support for DTBs with absolute paths.

  [ Uwe Kleine-König ]
  * Add machine db entry for Netgear ReadyNAS 104 (Closes: #806926)

 -- Christian Perrier <bubulle@debian.org>  Tue, 20 Dec 2016 06:29:56 +0100

flash-kernel (3.72) unstable; urgency=medium

  * Team upload.

  [ Karsten Merker ]
  * Add machine db entries for various sunxi-based systems that are
    (at least partially) supported in kernel 4.9 and u-boot v2016.11:
    - Empire Electronix M712 tablet
    - FriendlyARM NanoPi NEO
    - INet-D978 Rev 02
    - iNet Q972 tablet
    - Xunlong Orange Pi Lite
    - Xunlong Orange Pi PC Plus
    - Xunlong Orange Pi Plus 2E

 -- Karsten Merker <merker@debian.org>  Thu, 01 Dec 2016 21:03:53 +0100

flash-kernel (3.71) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Add machine db entry for USB armory board.
  * Update Cubieboard4 machine db entry to generate a boot script(in
    addition to legacy uImage/uInitrd), as Cubieboard4 is now supported in
    mainline u-boot.

 -- Christian Perrier <bubulle@debian.org>  Sun, 13 Nov 2016 07:46:00 +0100
