=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
            Christian Perrier <bubulle@debian.org>,
            Ian Campbell <ijc@debian.org>
 Build-Depends: debhelper (>= 9), devio, linux-base (>= 3.2), dash
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/flash-kernel.git
-Vcs-Git: git://anonscm.debian.org/d-i/flash-kernel.git
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/d-i/flash-kernel.git
+Vcs-Git: https://anonscm.debian.org/git/d-i/flash-kernel.git
 
 Package: flash-kernel
 Architecture: arm64 armel armhf
