=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #! /usr/bin/make -f
+
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 AUTOGEN_DEB_FILES := flash-kernel.templates flash-kernel-installer.postinst default/flash-kernel
 
@@ -13,6 +15,14 @@
 		sed "s/@DEFAULT_CMDLINE@/$(DEFAULT_CMDLINE)/" \
 			< debian/$$i.in > debian/$$i; \
 	done
+
+	install -m0755 -p -d debian/flash-kernel/etc/flash-kernel/bootscript
+	set -ex ; for arch in all $(DEB_HOST_ARCH) ; do \
+		[ -d bootscript/$${arch} ] || continue ; \
+		install -m0644 bootscript/$${arch}/bootscr.* \
+			debian/flash-kernel/etc/flash-kernel/bootscript/ ; \
+	done
+
 	dh_auto_install
 
 override_dh_auto_clean:
