## flash-kernel 3.90ubuntu3

=== debian/changelog ===
flash-kernel (3.90ubuntu3) bionic; urgency=medium

  * flash-kernel/functions: Stop attempting to install the latest kernel
    if we request an older version, just refuse to act without --force.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 25 Apr 2018 05:11:44 -0600

flash-kernel (3.90ubuntu2) bionic; urgency=medium

  * initramfs-hook/flash-kernel: Pretend we're running from the kernel's
    postinst to activate the same guard against mismatched kernel versions.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 24 Apr 2018 08:17:06 -0600

flash-kernel (3.90ubuntu1) bionic; urgency=medium

  [ Balint Reczey ]
  *  Merge with Debian (LP: #1743771)
     - remaining changes:
       - add "quiet splash" as default options to omap bootscr
       - re-add support for the FLASH_KERNEL_SKIP env variable, so the image
         build infrastructure has a chance to skip the automated flash-kernel
         run during image builds.
       - bootscr.highbank: allow more space to load larger kernels
       - Add support for Calxeda Highbank (with bootscr.highbank different from
         Debian's version)
       - Re-add support for Marvell ArmadaXP
       - Fix armadaxp kernel load address
       - use umount -l in the cleanup function, else we fail while finishing up
         with the script
       - add DB entry for "OMAP3 Beagle Board" (funnily thats missing)
       - add Panda to the list of supported board in the README file
       - debian/control: Re-add omap and omap4 to the flash-kernel-installer
         XB-Subarchitecture field. These appear to have been lost somewhere
         along the way.
       - Also add omap and omap4 to flash-kernel-installer.isinstallable.
       - add a diversion for update-initramfs to live-installers
         post-base-installer.d to avoid update-initramfs runs before
         flash-kernel is configured
       - add a check for the diverted update-initramfs to
         flash-kernel-installer, so it gets reverted before we try to call
         update-initramfs
       - make post-base-installer.d/01flash-kernel-diversion actually an
         executable shell script
       - switch omap3 and omap4 to uEnv.txt/preEnv.txt (the former holds all
         active boot commands, the latter holds the kernel commandline only)
       - enable UUID detection of the currently used root device
       - if uEnv.txt is defined in the db for an arch, generate preEnv.txt from
         UBOOT_DEFAULTS and UUID detection data
       - switch omap3 and omap4 from Bootloader-sets-root: no to yes, we now
         generate a root=UUID= line on the fly for arches using
         uEnv.txt/preEnv.txt
       - introduce bootscript/uEnvtxt.omap
       - do not move the original uEnvtxt.omap to the target, use a copy instead
       - initramfs-tools/hooks/flash_kernel_set_root:
         - make sure that if we dont want to override the bootloader root=
           option by setting "Bootloader-sets-root: yes", we actually dont do it
         - Also check for FLASH_KERNEL_SKIP to avoid setting up the root
           parameter in case flash-kernel will not be used
         - this is a slightly different approach to fix the bug than
           the patch attached to the bug.
       - hide the boot device from udisk's automounting after installation
         on all systems using uEnv.txt to configure u-boot
       - make sure we only rename the bootrom partition so udisks hides it,
         when using mkdosfs for setting the label like we did in jasper (where
         we cached the contents before doing this) MLO and u-boot.bin are gone
       - make sure that /dev is bind mounted in /target when running
         update-initramfs from flash-kernel-installer, else we do not find the
         boot media (this is only a workaround, actual fixing of
         the netinst environment is needed to fix this properly)
       - add support for the grouper architecture
       - make sure blkid only gives us the UUID and not any other metadata like
         labels or filesystem
       - drop the "|| true" from the initramfs building code, if we fail here we
         actually dont want to attempt to flash that
       - Do not run flash-kernel inside an LXC container
       - Accept "generic" as a valid kernel flavor on highbank
       - Add support for Calxeda ECX-2000 to the machine DB
       - Add generic-lpae to the XB-Subarchitecture list in debian/control
       - Update the Highbank entry in DB to use its device-tree model name
       - Fix the testsuite to work with the new DT model support and add
         a new test to specifically try to use a DT instead of cpuinfo.
       - And now fix the quoting error exposed by the fixed testsuite.
       - debian/flash-kernel-installer.isinstallable: add arm*/generic-lpae
       - Fix typo in dtb_kver test that made it break all non-dtb platforms.
       - Add support for EXYNOS5440-based platforms
       - Added support for HP ProLiant m800 Server Cartridge
       - Filter the selection of 'latest' usable kernel through the
         whitelist.
       - Do not fail if there are no specified Kernel-Flavors for this machine.
         - HP Moonshot Cartridges: Use $baudrate from u-boot environment as
           serial console speed
         - HP Moonshot Cartridges: Enable hardware flow control as required by
           the HP moonshot chassis
         - Enable U-Boot environment support for X-Gene platforms
         - Use filesystem agnostic "load" command instead of assuming ext4
         - Add support for HP ProLiant m800 cartridges
         - Set required boot arguments for HP ProLiant m800 cartridges
       - Allow us to find DTBs in both the old flat layout and the new vendor
         subdirectory layout, so we keep backward compatibility
       - Wandboard: Use /dev/disk/by-path/platform-2198000.usdhc-part1
         instead of the hardcoded mmcblk1p1, this should make things work on
         boards with just a single microSD card in.

