=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: flash-kernel
 Section: utils
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Loïc Minier <lool@debian.org>,
-           Hector Oron <zumbi@debian.org>,
-           Christian Perrier <bubulle@debian.org>,
-           Ian Campbell <ijc@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Uploaders: Christian Perrier <bubulle@debian.org>,
+           Vagrant Cascadian <vagrant@debian.org>,
+           Karsten Merker <merker@debian.org>
 Build-Depends: debhelper (>= 9), devio, linux-base (>= 3.2), dash
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/d-i/flash-kernel.git
 Vcs-Git: https://anonscm.debian.org/git/d-i/flash-kernel.git
 
 Package: flash-kernel
-Architecture: arm64 armel armhf
+Architecture: arm64 armel armhf armeb arm
 Depends: ${misc:Depends},
          devio,
          initramfs-tools (>= 0.92f),
@@ -31,8 +31,8 @@
 Section: debian-installer
 Priority: standard
 Package-Type: udeb
-Architecture: arm64 armel armhf
-XB-Subarchitecture: iop32x ixp4xx kirkwood orion5x s3c24xx mx5 generic
+Architecture: arm64 armel armhf armeb arm
+XB-Subarchitecture: armadaxp exynos5 generic-lpae generic iop32x ixp4xx keystone kirkwood orion5x s3c24xx mx5 omap omap4 xgene generic
 Provides: bootable-system
 Depends: cdebconf-udeb, installed-base
 XB-Installer-Menu-Item: 7300
