## flash-kernel 3.90ubuntu3.18.10.2

=== debian/changelog ===
flash-kernel (3.90ubuntu3.18.10.2) cosmic; urgency=medium

  * Add Raspberry Pi Compute Module 3 and 3+ to the db. (LP: #1816029)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 14 Feb 2019 11:12:13 +0000

flash-kernel (3.90ubuntu3.18.10.1) cosmic; urgency=medium

  * Add Raspberry Pi 3 Model B+ to the db. (LP: #1764491)
  * Modify the Pi 3 boot.scr addresses to fit a bigger kernel, prepare
    separate versions for armhf and arm64. (LP: #1811216)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 10 Jan 2019 09:56:08 +0100
