## flash-kernel 3.97

=== debian/changelog ===
flash-kernel (3.97) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Add machine db entry for Odroid HC1 (Closes: #916980). Thanks to
    Benjamin Drung.

  [ Karsten Merker ]
  * Apply a patch from Hajo Noerenberg adding a machine db entry for
    the Seagate Blackarmor NAS220 (Closes: #918193).

 -- Karsten Merker <merker@debian.org>  Fri, 04 Jan 2019 14:43:50 +0100

flash-kernel (3.96) unstable; urgency=medium

  [ Helmut Grohne ]
  * Support DEB_BUILD_OPTIONS=nocheck (Closes: #908355)

  [ Karsten Merker ]
  * Add a machine db entry for the Helios-4 NAS system,
    provided by Josua Mayer. (Closes: #914016)

 -- Karsten Merker <merker@debian.org>  Sun, 18 Nov 2018 19:26:50 +0100

flash-kernel (3.95) unstable; urgency=medium

  [ Heinrich Schuchardt ]
  * Add a machine db entry for the Rockchip RK3288 Tinker Board.
    (Closes: #895934)

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

  [ Heinrich Schuchardt ]
  * Update Firefly-RK3399 Board (Closes: #899091).
  * Rockchip RK3399 Evaluation Board (Closes: #899090).
  * Update entry for Marvell 8040 MACCHIATOBin (Closes: #899092):
    - Add new Machine name.
    - Update DTB path.
  * Update Pine64+ (Closes: #899093).
  * Update Raspberry Pi 3 Model B (Closes: #899096).

  [ Josua Mayer ]
  * Clearfog Pro: correct DTB name (Closes: #902432).
  * Add missing entries for HummingBoard variants (Closes: #905962).

  [ Vagrant Cascadian ]
  * Add entries for additional Cubox-i models:
    - SolidRun Cubox-i Dual/Quad (1.5som)
    - SolidRun Cubox-i Dual/Quad (1.5som+emmc)
  * Add entry for Raspberry PI 3 B+ (Closes: #905002).
    Thanks to Johannes Keyser.

 -- Karsten Merker <merker@debian.org>  Sun, 19 Aug 2018 22:42:38 +0200

flash-kernel (3.94) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Fix typos in imx-base boot script.

  [ Uwe Kleine-König ]
  * Add Boot-DTB-Path-Version similar to Boot-Kernel-Path-Version.

 -- Christian Perrier <bubulle@debian.org>  Sat, 14 Apr 2018 07:42:10 +0200

flash-kernel (3.93) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Add support for Theobroma Systems RK3399-Q7 SoM.

 -- Christian Perrier <bubulle@debian.org>  Sat, 10 Mar 2018 05:59:42 +0100

flash-kernel (3.92) unstable; urgency=medium

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani

 -- Christian Perrier <bubulle@debian.org>  Wed, 21 Feb 2018 12:19:06 +0100

flash-kernel (3.91) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Make ubootenv.d work on CuBox-i. Thanks to Rainer Dorsch.
  * Do not install flash-kernel.in.

  [ Heinrich Schuchardt ]
  * flash-kernel: Provide hook to start EFI application (Closes: #873390).

  [ Vagrant Cascadian ]
  * Add support for SolidRun Clearfog Boards (Closes: #839595). Thanks to
    Christoph Egger and Joshua Mayer.
  * Add support for SolidRun CuBox (dove) (Closes: #876773). Thanks to
    Josua Mayer.
  * Fix when no Kernel-Flavors are defined (Closes: #887803).
  * Add Boot-Kernel-Path-Version and Boot-Initrd-Path-Version to be used
    to append the version to the generated kernel/initrd images.
  * debian/control: Set Rules-Requires-Root: no.

  [ Heinrich Schuchardt ]
  * flash-kernel: support relative paths for DTB-Id (Closes: #860304).

  [ Vagrant Cascadian ]
  * Add compatibility symlink to dtb in vendor sub-directory.
  * Add support for root device specified by PARTLABEL.

  [ Andre Heider ]
  * Add support for multiple scripts sources

  [ Vagrant Cascadian ]
  * Convert Wandboard and CuBox-i to use a shared imx-base plus
    uboot-generic boot script.
  * Adjust sunxi boot script to prefer prefix variable if defined to set
    the locations to search for boot files.

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Thu, 01 Feb 2018 06:32:56 +0100
