## flash-kernel 3.98ubuntu5

=== debian/changelog ===
flash-kernel (3.98ubuntu5) eoan; urgency=medium

  * Fix AARCH64 qcom laptop names, to those accepted upstream and in the
    Ubuntu kernel. LP: #1847594

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 10 Oct 2019 13:04:59 +0100

flash-kernel (3.98ubuntu4) eoan; urgency=medium

  * Add support for Raspberry Pi 4 (LP: #1847587)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 10 Oct 2019 10:41:43 +0100

flash-kernel (3.98ubuntu3) eoan; urgency=medium

  * Add support for AAarch64 Qualcomm laptops.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 21 Jul 2019 11:17:17 -0300

flash-kernel (3.98ubuntu2) eoan; urgency=medium

  * Merge all RPi bootscripts into one unified bootscript which handles all Pi
    architectures
  * Remove uboot.env case which was only used for RPi2 (now supported by the
    unified RPi bootscript)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 11 Jun 2019 13:43:21 +0000

flash-kernel (3.98ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - add "quiet splash" as default options to omap bootscr
    - re-add support for the FLASH_KERNEL_SKIP env variable, so the image
      build infrastructure has a chance to skip the automated flash-kernel run
      during image builds.
    - Also check for FLASH_KERNEL_SKIP to avoid setting up the root parameter
      in case flash-kernel will not be used
    - make the package postinst respect FLASH_KERNEL_SKIP
    - make sure that if we dont want to override the bootloader root=
      option by setting "Bootloader-sets-root: yes", we actually dont do it
    - use umount -l in the cleanup function, else we fail while finishing up
      with the script
    - add a diversion for update-initramfs to live-installers
      post-base-installer.d to avoid update-initramfs runs before flash-kernel
      is configured
    - add a check for the diverted update-initramfs to flash-kernel-installer,
      so it gets reverted before we try to call update-initramfs
    - make post-base-installer.d/01flash-kernel-diversion actually an
      executable shell script
    - enable UUID detection of the currently used root device
    - if uEnv.txt is defined in the db for an arch, generate preEnv.txt from
      UBOOT_DEFAULTS and UUID detection data
    - make sure blkid only gives us the UUID and not any other metadata like
      labels or filesystem
    - hide the boot device from udisk's automounting after installation on all
      systems using uEnv.txt to configure u-boot
    - make sure we only rename the bootrom partition so udisks hides it,
      when using mkdosfs for setting the label like we did in jasper (where
      we cached the contents before doing this) MLO and u-boot.bin are gone
    - make sure that /dev is bind mounted in /target when running
      update-initramfs from flash-kernel-installer, else we do not find the
      boot media (this is only a workaround, actual fixing of the netinst
      environment is needed to fix this properly)
    - drop the "|| true" from the initramfs building code, if we fail here we
      actually dont want to attempt to flash that
    - Do not run flash-kernel inside an LXC container
    - Call systemd-detect-virt instead of the Ubuntu specific
      running-in-container wrapper.
    - Add generic-lpae to the XB-Subarchitecture list in debian/control
    - debian/flash-kernel-installer.isinstallable: add arm*/generic-lpae
    - Fix typo in dtb_kver test that made it break all non-dtb platforms.
    - Apply patch from Paolo Pisati for appended DTB support
    - Filter the selection of 'latest' usable kernel through the whitelist.
    - Do not fail if there are no specified Kernel-Flavors for this machine.
    - Allow us to find DTBs in both the old flat layout and the new vendor
      subdirectory layout, so we keep backward compatibility
    - Add support for installing dtb files in boot partition
    - Add support for gzip-compressed kernel images
    - db/all.db: add dummy entries as noops when running on VMs
    - Add support for Calxeda Highbank
      - Add support for Calxeda Highbank (with bootscr.highbank different from
        Debian's version)
      - bootscr.highbank: allow more space to load larger kernels
    - Add support for Marvell ArmadaXP
      - Re-add support for Marvell ArmadaXP
      - Fix armadaxp kernel load address
    - Add support for OMAP3 and OMAP4 boards
      - add DB entry for "OMAP3 Beagle Board" (funnily thats missing)
      - add Panda to the list of supported board in the README file
      - debian/control: Re-add omap and omap4 to the flash-kernel-installer
        XB-Subarchitecture field. These appear to have been lost somewhere
        along the way.
      - Also add omap and omap4 to flash-kernel-installer.isinstallable.
      - switch omap3 and omap4 to uEnv.txt/preEnv.txt (the former holds all
        active boot commands, the latter holds the kernel commandline only)
      - switch omap3 and omap4 from Bootloader-sets-root: no to yes, we now
        generate a root=UUID= line on the fly for arches using
        uEnv.txt/preEnv.txt
      - introduce bootscript/uEnvtxt.omap
      - do not move the original uEnvtxt.omap to the target, use a copy
        instead
    - Add support for grouper boards
      - add support for the grouper architecture
    - Add support for Samsung Exynos 5440 platforms
      - Add support for EXYNOS5440-based platforms
    - Add support for HP ProLiant m400 and m800 cartridges
      - Added support for HP ProLiant m800 Server Cartridge
      - Add support for HP ProLiant m800 cartridges
      - Set required boot arguments for HP ProLiant m800 cartridges
      - Add support for HP ProLiant m400 Server Cartridges
      - HP Moonshot Cartridges: Use $baudrate from u-boot environment as
        serial console speed
      - HP Moonshot Cartridges: Enable hardware flow control as required by
        the HP moonshot chassis
      - Enable U-Boot environment support for X-Gene platforms

