=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: flash-kernel
 Section: utils
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Christian Perrier <bubulle@debian.org>,
            Vagrant Cascadian <vagrant@debian.org>,
            Karsten Merker <merker@debian.org>
@@ -32,7 +33,7 @@
 Priority: standard
 Package-Type: udeb
 Architecture: arm64 armel armhf
-XB-Subarchitecture: iop32x ixp4xx kirkwood orion5x s3c24xx mx5 generic
+XB-Subarchitecture: armadaxp exynos5 generic-lpae iop32x ixp4xx keystone kirkwood orion5x s3c24xx mx5 omap omap4 xgene generic
 Provides: bootable-system
 Depends: cdebconf-udeb, installed-base
 XB-Installer-Menu-Item: 7300
