## flash-kernel 3.98ubuntu5.3

=== debian/changelog ===
flash-kernel (3.98ubuntu5.3) eoan; urgency=medium

  * Add support for the Raspberry Pi 4 rev 1.2 board (LP: #1854487)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 29 Nov 2019 16:33:13 +0000

flash-kernel (3.98ubuntu5.2) eoan; urgency=medium

  * Reverted updated pi bootscript to work around boot regression in proposed
    eoan image (LP: #1854347).

 -- Dave Jones <dave.jones@canonical.com>  Mon, 25 Nov 2019 20:31:26 +0000

flash-kernel (3.98ubuntu5.1) eoan; urgency=medium

  * Backport changes from 3.98ubuntu6 to eoan
  * Remove redundant DTB-Kernel-Version field
  * Remove redundant copying of boot dtb
  * Fix mkimage_kernel tests
  * Add "pi" value for the "Method" field which copies all dtbs and overlays
    to the boot partition and provides defaults for the boot paths of the
    kernel, initrd, and u-boot script. This fixes upgrades to support the Pi 4
    on Bionic (LP: #1850678)
  * Update pi bootscript to support all flash-kernel vars, including
    calculated devtype and partition for future USB boot support
  * Add entry for Raspberry Pi 3A+ (LP: #1841955)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 07 Nov 2019 14:02:26 +0000
