=== debian/control ===
--- 
+++ 
@@ -19,7 +19,8 @@
          initramfs-tools (>= 0.92f),
          linux-base (>= 3.2),
          mtd-utils,
-         ucf
+         ucf,
+         awk
 Recommends: u-boot-tools
 Description: utility to make certain embedded devices bootable
  flash-kernel is a script which will put the kernel and initramfs in
