## flash-kernel 3.98ubuntu11~18.04.1

=== debian/changelog ===
flash-kernel (3.98ubuntu11~18.04.1) bionic; urgency=medium

  * Permit flash-kernel to workaround an inconsistent /boot directory when
    triggered prior to the kernel finishing its triggers (LP: #1861292)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 29 Jan 2020 16:15:05 +0000

flash-kernel (3.98ubuntu10~18.04.1) bionic; urgency=medium

  * SRU of 3.98ubuntu10 to support Raspberry Pi 4B. (LP: #1847587)
  * Removed new entries from db/all.db for machines that were not already
    supported on Bionic
  * Remove "quiet splash" from kernel command line options; Bionic shipped
    without these options and we shouldn't change the boot experience for
    existing users
  * Ensure the "overlays" dir always exists on the boot partition; the Bionic
    image for the Pi 2 shipped without this dir

 -- Dave Jones <dave.jones@canonical.com>  Fri, 24 Jan 2020 16:14:06 +0000

flash-kernel (3.98ubuntu10) focal; urgency=medium

  * Always run flash-kernel on install/upgrade

 -- Dave Jones <dave.jones@canonical.com>  Wed, 22 Jan 2020 19:53:20 +0000

flash-kernel (3.98ubuntu9) focal; urgency=medium

  * Ensure overlays dir always exists

 -- Dave Jones <dave.jones@canonical.com>  Fri, 17 Jan 2020 13:40:28 +0000

flash-kernel (3.98ubuntu8) focal; urgency=medium

  * Add support for the Raspberry Pi 4 rev 1.2 board (LP: #1854487)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 29 Nov 2019 11:35:00 +0000

flash-kernel (3.98ubuntu7) focal; urgency=medium

  * Add systemd depends, as systemd-detect-virt is called in the scripts.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 26 Nov 2019 14:18:02 +0000

flash-kernel (3.98ubuntu6) focal; urgency=medium

  * Remove redundant DTB-Kernel-Version field
  * Remove redundant copying of boot dtb
  * Fix mkimage_kernel tests
  * Add "pi" value for the "Method" field which copies all dtbs and overlays
    to the boot partition and provides defaults for the boot paths of the
    kernel, initrd, and u-boot script. This fixes upgrades to support the Pi 4
    on Bionic (LP: #1850678)
  * Update pi bootscript to support all flash-kernel vars, including
    calculated devtype and partition for future USB boot support
  * Add entry for Raspberry Pi 3A+ (LP: #1841955)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 07 Nov 2019 14:02:26 +0000

flash-kernel (3.90ubuntu3.18.04.2) bionic; urgency=medium

  * Add Raspberry Pi Compute Module 3 and 3+ to the db. (LP: #1816029)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 14 Feb 2019 11:12:13 +0000

flash-kernel (3.90ubuntu3.18.04.1) bionic; urgency=medium

  * Add Raspberry Pi 3 Model B+ to the db. (LP: #1764491)
  * Modify the Pi 3 boot.scr addresses to fit a bigger kernel, prepare
    separate versions for armhf and arm64. (LP: #1811216)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 10 Jan 2019 09:56:08 +0100
