## flash-kernel 3.98ubuntu11

=== debian/changelog ===
flash-kernel (3.98ubuntu11) focal; urgency=medium

  * Permit flash-kernel to workaround an inconsistent /boot directory when
    triggered prior to the kernel finishing its triggers (LP: #1861292)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 29 Jan 2020 16:15:05 +0000
