## flash-kernel 3.98ubuntu12

=== debian/changelog ===
flash-kernel (3.98ubuntu12) focal; urgency=medium

  * Support "raspi" kernel flavor in addition to "raspi2" (LP: #1868071)
  * Permit initrd to be missing in flash-kernel and the pi u-boot script
    (LP: #1867791)
  * Backport optional initrd changes from upstream to reduce our delta
  * Move the container test from initramfs and kernel hooks to main to prevent
    flash-kernel ever running in a container (LP: #1863145)
  * Remove FLASH_KERNEL_SKIP; it's no longer used in livecd-rootfs

 -- Dave Jones <dave.jones@canonical.com>  Mon, 23 Mar 2020 14:10:03 +0000
