=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 Depends: ${misc:Depends},
          devio,
          initramfs-tools (>= 0.92f),
+         systemd,
          linux-base (>= 3.2),
          mtd-utils,
          ucf,
