## flash-kernel 3.99

=== debian/changelog ===
flash-kernel (3.99) unstable; urgency=medium

  [ Domenico Andreoli ]
  * Add support for NanoPi NEO2 (Closes: #928861).

  [ Cyril Brulebois ]
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927488)

  [ Heinrich Schuchardt ]
  * Add Marvell 8040 MACCHIATOBin Double-shot and Single-shot.
    (Closes: #928951)

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 24 May 2019 18:36:25 -0700
