=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: flash-kernel
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Christian Perrier <bubulle@debian.org>,
-           Vagrant Cascadian <vagrant@debian.org>,
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Uploaders: Vagrant Cascadian <vagrant@debian.org>,
            Karsten Merker <merker@debian.org>
 Build-Depends: debhelper (>= 9), devio, linux-base (>= 3.2), dash
 Standards-Version: 3.9.6
@@ -17,11 +15,9 @@
 Depends: ${misc:Depends},
          devio,
          initramfs-tools (>= 0.92f),
-         systemd,
          linux-base (>= 3.2),
          mtd-utils,
-         ucf,
-         awk
+         ucf
 Recommends: u-boot-tools
 Description: utility to make certain embedded devices bootable
  flash-kernel is a script which will put the kernel and initramfs in
@@ -35,7 +31,7 @@
 Priority: standard
 Package-Type: udeb
 Architecture: arm64 armel armhf
-XB-Subarchitecture: armadaxp exynos5 generic-lpae iop32x ixp4xx keystone kirkwood orion5x s3c24xx mx5 omap omap4 xgene generic
+XB-Subarchitecture: kirkwood orion5x s3c24xx mx5 generic
 Provides: bootable-system
 Depends: cdebconf-udeb, installed-base
 XB-Installer-Menu-Item: 7300
