=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	install -m0755 -p -d debian/flash-kernel/etc/flash-kernel/bootscript
 	set -ex ; for arch in all $(DEB_HOST_ARCH) ; do \
 		[ -d bootscript/$${arch} ] || continue ; \
-		install -m0644 bootscript/$${arch}/* \
+		install -m0644 bootscript/$${arch}/bootscr.* \
 			debian/flash-kernel/etc/flash-kernel/bootscript/ ; \
 	done
