## flash-kernel 3.100

=== debian/changelog ===
flash-kernel (3.100) unstable; urgency=medium

  * Team upload

  [ Uwe Kleine-König ]
  * Add support for bootspec entries (bootable by barebox). (Closes: #931953)
  * Fix a corner case that makes flash-kernel fail silently. (Closes: #932231)
  * Make initrd optional for machines with Boot-Multi-Path. (Adresses:
    #869073)

  [ Guido Günther ]
  * Add support for Librem 5 devkit (Closes: #927700)

  [ Lubomir Rintel]
  * Add support for OLPC XO-1.75 laptops.

  [ Holger Wansing ]
  * Add comment for translators, to keep main menu entry below a 55 columns
    limit. This updates all po|pot files.

  [ Updated translations ]
  * Croatian (hr.po) by gogogogi
  * Marathi (mr.po) by Prachi Joshi

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 01 Feb 2020 07:19:22 +0100
