=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,10 @@
 		install -m0644 bootscript/$${arch}/bootscr.* \
 			debian/flash-kernel/etc/flash-kernel/bootscript/ ; \
 	done
+ifeq (armhf,$(DEB_HOST_ARCH))
+	install -m0644 bootscript/$(DEB_HOST_ARCH)/olpc.fth \
+		debian/flash-kernel/etc/flash-kernel/bootscript/
+endif
 
 	dh_auto_install
 
@@ -36,6 +40,10 @@
 	FK_CHECKOUT=. ./test_db
 	FK_CHECKOUT=. ./test_flash-kernel
 	FK_CHECKOUT=. ./test_functions
+
+# check alphabetic ordering of database
+# The key for each entry is its first Machine: line
+	awk '/^$$/ { seen=0 } seen == 0 && /^Machine: / { seen=1; print }' db/all.db | LC_ALL=C sort --check --ignore-case
 endif
 
 %:
